Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038855
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2018-06-28 12:212018-08-08 13:06
ReportermartinsdanView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision97100140eab3
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038855: Error in 'Purchase Order Report' is not user friendly

DescriptionThe error shown in 'Purchase Order Report' when there is no conversion rate between the selected currency and the document's currency is not user friendly:

Error executing SQL statement for : ReportPurchaseOrder
Steps To ReproduceIn https://livebuilds.openbravo.com/erp_pi_pgsql/ [^]

- Navigate to Purchase Order Report
- Select starting date 01-01-2018
- Select currency AED

The following error is shown:
Error executing SQL statement for : ReportPurchaseOrder
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038907 closedcaristu DB errors which several OB messages are not correctly parsed in PG 

-  Notes
(0106129)
hgbot (developer)
2018-08-03 08:38

Repository: erp/devel/pi
Changeset: 97100140eab316b83e37c1c539f7a2bb0a59c705
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Aug 02 13:19:02 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/97100140eab316b83e37c1c539f7a2bb0a59c705 [^]

fixes issue 38855: Error shown in Purchase Order Report is not user friendly

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/BaseReportActionHandler.java
M src/org/openbravo/service/db/DbUtility.java
---
(0106130)
caristu (developer)
2018-08-03 08:39

Code reviewed + tested OK.
(0106239)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-28 12:21 martinsdan New Issue
2018-06-28 12:21 martinsdan Assigned To => Triage Finance
2018-06-28 12:21 martinsdan Modules => Core
2018-06-28 12:21 martinsdan Triggers an Emergency Pack => No
2018-06-28 12:36 ngarcia Issue Monitored: networkb
2018-07-02 15:54 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2018-07-17 21:27 collazoandy4 Assigned To AtulOpenbravo => collazoandy4
2018-07-17 21:27 collazoandy4 Status new => scheduled
2018-07-19 11:50 dmiguelez Assigned To collazoandy4 => platform
2018-08-02 09:25 caristu Assigned To platform => caristu
2018-08-02 10:26 alostale Relationship added related to 0038907
2018-08-03 08:31 caristu Summary Error in 'Purchase Order Report' => Error in 'Purchase Order Report' is not user friendly
2018-08-03 08:31 caristu Description Updated View Revisions
2018-08-03 08:31 caristu Steps to Reproduce Updated View Revisions
2018-08-03 08:34 caristu Review Assigned To => caristu
2018-08-03 08:34 caristu Assigned To caristu => alostale
2018-08-03 08:38 hgbot Checkin
2018-08-03 08:38 hgbot Note Added: 0106129
2018-08-03 08:38 hgbot Status scheduled => resolved
2018-08-03 08:38 hgbot Resolution open => fixed
2018-08-03 08:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/97100140eab316b83e37c1c539f7a2bb0a59c705 [^]
2018-08-03 08:39 caristu Note Added: 0106130
2018-08-03 08:39 caristu Status resolved => closed
2018-08-03 08:39 caristu Fixed in Version => 3.0PR18Q4
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106239


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker